Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455695 - Tajik Language added to comps module
Summary: Tajik Language added to comps module
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: comps
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Jeremy Katz
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-17 07:47 UTC by Victor Ibragimov
Modified: 2014-03-17 03:15 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-17 18:29:02 UTC


Attachments (Terms of Use)

Description Victor Ibragimov 2008-07-17 07:47:22 UTC
Description of problem:

The translation of new language - Tajik language - added. There is not Tajik
language support for Fedora.


Expected results:

To have Tajik language support included to Fedora

Comment 1 Bill Nottingham 2008-07-17 14:18:11 UTC
Are you looking for a 'tajik-support' group in comps? If so, I'm happy to add
one, but you'll have to give us some information as to what packages are needed
for Tajik support - I don't know myself.

Comment 2 Victor Ibragimov 2008-07-17 15:03:52 UTC
I think yes. Actually, I have started the localization of Fedora by translating
comps.HEAD.pot into Tajik language. The self file does not contain a string of
Tajik Support (for example there are strings in the file like "Gujarati Support".

Also that would be nice to have "Tajik" before "tg" at the statistics page at
http://translate.fedoraproject.org/module/comps

Comment 3 Bill Nottingham 2008-07-17 15:09:21 UTC
(In reply to comment #2)
> I think yes. Actually, I have started the localization of Fedora by translating
> comps.HEAD.pot into Tajik language. The self file does not contain a string of
> Tajik Support (for example there are strings in the file like "Gujarati Support".

Right, but I still can't make up what goes into a 'Tajik Support' group without
more information. What fonts are needed? What input methods? etc.

> Also that would be nice to have "Tajik" before "tg" at the statistics page at
> http://translate.fedoraproject.org/module/comps

Filed as bug 455745.

Comment 4 Victor Ibragimov 2008-07-17 18:05:59 UTC
---------------------FONTS---------------------
Arial Unicode, Palatino Linotype display all Tajik characters correctly. (utf-8)
---------------------------------------------------

-------------------INPUT METHOD----------

symbols/tj

// 17/07/2008
// -------------------------------------------------------------
// Standard Tojiki Keyboard Layout, Official Standard
// -------------------------------------------------------------
// Layout created by Victor Ibragimov <victor.ibragimov@gmail.com>
// Tajik Fedora & Software Localization Team
// -------------------------------------------------------------------
//                        ALL INPUT METHOD
// --------------------------------------------------------------------
// -------------- Tojiki Official Keyboard Layout----------------------
// --------------------------------------------------------------------
//
partial default alphanumeric_keys
xkb_symbols "official" {
    name[Group1]= "Tojikiston - official";
    key	<AE01> {	[	     1,	      exclam, 0x10000a7 	]	};
    key	<AE02> {	[	     2,     quotedbl, 0x10000ab, 0x10000bb	]	};
    key <AE03> {        [               3,      numerosign      ]       };
    key <AE04> {        [               4,       semicolon      ]       };
    key <AE05> {        [               5,         percent      ]       };
    key <AE06> {        [             6,       colon, 0x1002013	]       };
    key <AE07> {        [             7,    question, ampersand	]       };
    key <AE08> {        [               8,        asterisk      ]       };
    key	<AE09> {	[		9,	 parenleft	]	};
    key	<AE10> {	[		0,	parenright, 0x10000b0	]	};
    key	<AE11> {	[    0x1000493,    0x1000492, minus,   underscore	]	};
    key	<AE12> {	[    0x10004ef,    0x10004ee, equal,     plus		]	};
    key <AB10> {        [          period,           comma      ]       };
    key <BKSL> {        [       backslash,           slash      ]       };
    key <LSGT> {        [           slash,             bar      ]       };
    key	<TLDE> {	[     Cyrillic_io,     Cyrillic_IO	]	};
    key	<AD01> {	[ Cyrillic_shorti, Cyrillic_SHORTI	]	};
    key	<AD02> {	[    0x100049b,    0x100049a	]	};
    key	<AD03> {	[      Cyrillic_u,	Cyrillic_U	]	};
    key	<AD04> {	[     Cyrillic_ka,     Cyrillic_KA	]	};
    key	<AD05> {	[     Cyrillic_ie,     Cyrillic_IE	]	};
    key	<AD06> {	[     Cyrillic_en,     Cyrillic_EN	]	};
    key	<AD07> {	[    Cyrillic_ghe,    Cyrillic_GHE	]	};
    key	<AD08> {	[    Cyrillic_sha,    Cyrillic_SHA	]	};
    key	<AD09> {	[    0x10004b3,    0x10004b2	]	};
    key	<AD10> {	[     Cyrillic_ze,     Cyrillic_ZE	]	};
    key	<AD11> {	[     Cyrillic_ha,     Cyrillic_HA	]	};
    key	<AD12> {	[Cyrillic_hardsign,Cyrillic_HARDSIGN	]	};
    key	<AC01> {	[     Cyrillic_ef,     Cyrillic_EF	]	};
    key	<AC02> {	[    0x10004b7,    0x10004b6	]	};
    key	<AC03> {	[     Cyrillic_ve,     Cyrillic_VE	]	};
    key	<AC04> {	[      Cyrillic_a,	Cyrillic_A	]	};
    key	<AC05> {	[     Cyrillic_pe,     Cyrillic_PE	]	};
    key	<AC06> {	[     Cyrillic_er,     Cyrillic_ER	]	};
    key	<AC07> {	[      Cyrillic_o,	Cyrillic_O	]	};
    key	<AC08> {	[     Cyrillic_el,     Cyrillic_EL	]	};
    key	<AC09> {	[     Cyrillic_de,     Cyrillic_DE	]	};
    key	<AC10> {	[    Cyrillic_zhe,    Cyrillic_ZHE	]	};
    key	<AC11> {	[      Cyrillic_e,	Cyrillic_E	]	};
    key	<AB01> {	[     Cyrillic_ya,     Cyrillic_YA	]	};
    key	<AB02> {	[    Cyrillic_che,    Cyrillic_CHE	]	};
    key	<AB03> {	[     Cyrillic_es,     Cyrillic_ES	]	};
    key	<AB04> {	[     Cyrillic_em,     Cyrillic_EM	]	};
    key	<AB05> {	[      Cyrillic_i,	Cyrillic_I	]	};
    key	<AB06> {	[     Cyrillic_te,     Cyrillic_TE	]	};
    key	<AB07> {	[    0x10004e3,    0x10004e2	]	};
    key	<AB08> {	[     Cyrillic_be,     Cyrillic_BE	]	};
    key	<AB09> {	[     Cyrillic_yu,     Cyrillic_YU	]	};
 
    include "keypad(comma)"
    include "level3(ralt_switch)"

 };

// --------------------------------------------------------------------
// -------------- Tojiki Rusi Keyboard Layout--------------------------
// --------------------------------------------------------------------

partial alphanumeric_keys 
xkb_symbols "tojikirusi" {
    name[Group1]= "Tojikiston - TojikiRusi";
    key <AE01> {        [            1,       exclam, 0x10000a7         ]       };
    key <AE02> {        [            2,     quotedbl, 0x10000ab, 0x10000bb     
]       };
    key <AE03> {        [               3,      numerosign      ]       };
    key <AE04> {        [               4,       semicolon      ]       };
    key <AE05> {        [               5,         percent      ]       };
    key <AE06> {        [             6,       colon, 0x1002013 ]       };
    key <AE07> {        [             7,    question, ampersand ]       };
    key <AE08> {        [               8,        asterisk      ]       };
    key	<AE09> {	[		9,	 parenleft	]	};
    key	<AE10> {	[		0,	parenright	]	};
    key	<AE11> {	[	    minus,	underscore	]	};
    key	<AE12> {	[	    equal,	      plus	]	};
    key <BKSL> {        [       backslash,           slash      ]       };
    key <AB10> {        [          period,           comma      ]       };
    key <LSGT> {        [           slash,             bar      ]       };
    key	<TLDE> {	[     Cyrillic_io,     Cyrillic_IO	]	};
    key	<AD01> {	[ Cyrillic_shorti, Cyrillic_SHORTI	]	};
    key	<AD02> {	[    Cyrillic_tse,    Cyrillic_TSE	]	};
    key <AD03> {        [      Cyrillic_u,      Cyrillic_U,     0x10004ef,     
0x10004ee     ]        };
    key <AD04> {        [     Cyrillic_ka,     Cyrillic_KA,     0x100049b,     
0x100049a     ]        };
    key	<AD05> {	[     Cyrillic_ie,     Cyrillic_IE	]	};
    key	<AD06> {	[     Cyrillic_en,     Cyrillic_EN	]	};
    key <AD07> {        [    Cyrillic_ghe,    Cyrillic_GHE,     0x1000493,     
0x1000492     ]        };
    key	<AD08> {	[    Cyrillic_sha,    Cyrillic_SHA	]	};
    key	<AD09> {	[  Cyrillic_shcha,  Cyrillic_SHCHA	]	};
    key	<AD10> {	[     Cyrillic_ze,     Cyrillic_ZE	]	};
    key <AD11> {        [     Cyrillic_ha,     Cyrillic_HA,     0x10004b3,     
0x10004b2     ]        };
    key	<AD12> {	[Cyrillic_hardsign,Cyrillic_HARDSIGN	]	};
    key	<AC01> {	[     Cyrillic_ef,     Cyrillic_EF	]	};
    key	<AC02> {	[   Cyrillic_yeru,   Cyrillic_YERU	]	};
    key	<AC03> {	[     Cyrillic_ve,     Cyrillic_VE	]	};
    key	<AC04> {	[      Cyrillic_a,	Cyrillic_A	]	};
    key	<AC05> {	[     Cyrillic_pe,     Cyrillic_PE	]	};
    key	<AC06> {	[     Cyrillic_er,     Cyrillic_ER	]	};
    key	<AC07> {	[      Cyrillic_o,	Cyrillic_O	]	};
    key	<AC08> {	[     Cyrillic_el,     Cyrillic_EL	]	};
    key	<AC09> {	[     Cyrillic_de,     Cyrillic_DE	]	};
    key	<AC10> {	[    Cyrillic_zhe,    Cyrillic_ZHE	]	};
    key	<AC11> {	[      Cyrillic_e,	Cyrillic_E	]	};
    key	<AB01> {	[     Cyrillic_ya,     Cyrillic_YA	]	};
    key <AB02> {        [    Cyrillic_che,    Cyrillic_CHE,     0x10004b7,     
0x10004b6     ]        };
    key	<AB03> {	[     Cyrillic_es,     Cyrillic_ES	]	};
    key	<AB04> {	[     Cyrillic_em,     Cyrillic_EM	]	};
    key <AB05> {        [      Cyrillic_i,      Cyrillic_I,     0x10004e3,     
0x10004e2     ]        };
    key	<AB06> {	[     Cyrillic_te,     Cyrillic_TE	]	};
    key	<AB07> {	[Cyrillic_softsign,Cyrillic_SOFTSIGN	]	};
    key	<AB08> {	[     Cyrillic_be,     Cyrillic_BE	]	};
    key	<AB09> {	[     Cyrillic_yu,     Cyrillic_YU	]	};

    include "keypad(comma)"

    include "level3(ralt_switch)"

};

//
// --------------------------------------------------------------------
// -------------- Tojiki TypeWriter Keyboard Layout--------------------
// --------------------------------------------------------------------
//

partial alphanumeric_keys
xkb_symbols "typewriter" {
    include "tj(official)"
    name[Group1]= "Tojikiston - TypeWriter";
    key	<AE03> {	[		3,      numbersign	]	};
    key	<AE04> {	[		4,        asterisk	]	};
    key	<AE05> {	[		5,	     colon	]	};
    key	<AE06> {	[	     6,	       comma, 0x1002013	]	};
    key	<AE07> {	[	     7,	      period, ampersand	]	};
    key	<AE08> {	[		8,	 semicolon	]	};
    key	<BKSL> {	[	backslash,             bar	]	};
    key	<AB10> {	[	    slash,	  question	]	};

};

//
//--------------------------------------------------------------------
//-------------- Tojiki DeadKeys Keyboard Layout----------------------
//--------------------------------------------------------------------
//

partial alphanumeric_keys 
xkb_symbols "deadkeys" {
    name[Group1]= "Tojikiston - DeadKeys";
    key	<TLDE> {	[     Cyrillic_io,     Cyrillic_IO	]	};
    key	<LSGT> {	[	      bar,	 brokenbar	]	};
    key	<AD01> {	[ Cyrillic_shorti, Cyrillic_SHORTI	]	};
    key	<AE01> {	[		1,	    exclam 	]	};
    key	<AB01> {	[     Cyrillic_ya,     Cyrillic_YA	]	};
    key	<AC02> {	[   Cyrillic_yeru,   Cyrillic_YERU	]	};
    key	<AC01> {	[     Cyrillic_ef,     Cyrillic_EF	]	};
    key	<AD02> {	[    Cyrillic_tse,    Cyrillic_TSE	]	};
    key	<AE02> {	[		2,        quotedbl	]	};
    key	<AB03> {	[     Cyrillic_es,     Cyrillic_ES	]	};
    key	<AB02> {	[    Cyrillic_che,    Cyrillic_CHE,     0x010004b7,     
0x010004b6	]	 };
    key	<AC03> {	[     Cyrillic_ve,     Cyrillic_VE	]	};
    key	<AD03> {	[      Cyrillic_u,	Cyrillic_U,     0x010004ef,     
0x010004ee	]	 };
    key	<AE04> {	[		4,        asterisk	]	};
    key	<AE03> {	[		3,      apostrophe	]	};
    key	<AB04> {	[     Cyrillic_em,     Cyrillic_EM	]	};
    key	<AC04> {	[      Cyrillic_a,	Cyrillic_A	]	};
    key	<AD05> {	[     Cyrillic_ie,     Cyrillic_IE	]	};
    key	<AD04> {	[     Cyrillic_ka,     Cyrillic_KA,     0x0100049b,     
0x0100049a	]	 };
    key	<AE05> {	[		5,	     colon	]	};
    key	<AB06> {	[     Cyrillic_te,     Cyrillic_TE	]	};
    key	<AB05> {	[      Cyrillic_i,	Cyrillic_I,     0x010004e3,     
0x010004e2	]	 };
    key	<AC06> {	[     Cyrillic_er,     Cyrillic_ER	]	};
    key	<AC05> {	[     Cyrillic_pe,     Cyrillic_PE	]	};
    key	<AD06> {	[     Cyrillic_en,     Cyrillic_EN	]	};
    key	<AE06> {	[		6,	     comma	]	};
    key	<AB07> {	[Cyrillic_softsign,Cyrillic_SOFTSIGN	]	};
    key	<AC07> {	[      Cyrillic_o,	Cyrillic_O	]	};
    key	<AD07> {	[    Cyrillic_ghe,    Cyrillic_GHE,	0x01000493,     
0x01000492	]	 };
    key	<AE07> {	[		7,	    period	]	};
    key	<AE08> {	[		8,	 semicolon	]	};
    key	<AB08> {	[     Cyrillic_be,     Cyrillic_BE	]	};
    key	<AC08> {	[     Cyrillic_el,     Cyrillic_EL	]	};
    key	<AD08> {	[    Cyrillic_sha,    Cyrillic_SHA,     Cyrillic_shcha, 
Cyrillic_SHCHA]	 };
    key	<AD09> {	[    dead_cedilla,     dead_macron	]	};
    key	<AE10> {	[		0,	parenright	]	};
    key	<AE09> {	[		9,	 parenleft	]	};
    key	<AB09> {	[     Cyrillic_yu,     Cyrillic_YU	]	};
    key	<AB10> {	[	    slash,	  question	]	};
    key	<AC09> {	[     Cyrillic_de,     Cyrillic_DE	]	};
    key	<AC10> {	[    Cyrillic_zhe,    Cyrillic_ZHE	]	 };
    key	<AD10> {	[     Cyrillic_ze,     Cyrillic_ZE	]	};
    key	<AE11> {	[	    minus,	underscore	]	};
    key	<AC11> {	[      Cyrillic_e,	Cyrillic_E	]	};
    key	<AD11> {	[     Cyrillic_ha,     Cyrillic_HA,     0x010004b3,     
0x010004b2	]	 };
    key	<AE12> {	[	    equal,	      plus	]	};
    key	<AD12> {	[Cyrillic_hardsign,Cyrillic_HARDSIGN	]	};

    // End alphanumeric section

};






Comment 5 Bill Nottingham 2008-07-17 18:19:11 UTC
For font coverage, I mean fonts already in Fedora.

input methods would be if any SCIM input methods are involved; from the fact
that you posted a xkb description, I'd assume not. However, we already include a
Tajik xkb description in xkeyboard-config. If you've got issues with what's
already there, please file a separate bug.

Comment 6 Bill Nottingham 2008-07-17 18:29:02 UTC
Tajik appears to be cyrillic (most of the time), ergo, assuming dejavu will work
reasonably well.

If not, please reopen.


Comment 7 Victor Ibragimov 2008-07-17 19:34:13 UTC
Dejavu should work fine for Tajik.

Comment 8 Victor Ibragimov 2008-07-17 20:25:46 UTC
Tajik xkb issue filed as bug 455796

Comment 9 Victor Ibragimov 2008-07-18 13:19:47 UTC
Country name: Tajikistan (transliterated "Tojikiston" can be used)
Language name: Tajik (transliterated "Tojiki" can be used)
Language code: tg


Note You need to log in before you can comment on or make changes to this bug.